Bug 262464

Summary: dolphin interprets html in filenames as html in various places
Product: dolphin Reporter: Daniel Walter <daniel.walter>
Component: generalAssignee: Dolphin Bug Assignee <dolphin-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: emmanuelpescosta099, frank78ac, kde
Priority: NOR Keywords: reproducible
Version: 16.12.2   
Target Milestone: ---   
Platform: Debian testing   
OS: Linux   
Latest Commit: Version Fixed In: 4.10
Attachments: Screenshot of Dolphin that renders an HTML filename
dolphin interpreting html in in wrong place

Description Daniel Walter 2011-01-07 23:08:18 UTC
Created attachment 55715 [details]
Screenshot of Dolphin that renders an HTML filename

Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

create files with names like that:
<i><b>knx
<img>

take a look in the "information panel" or in the rename dialog. html is executed!

Reproducible: Always
Comment 1 Frank Reininghaus 2011-01-09 09:27:39 UTC
Thanks for the bug report! I can confirm the issue in trunk (both in the Information Panel and in the Rename dialog). I can't see why the severity should be higher than "normal" though.
Comment 2 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:20:00 UTC
Resetting assignee to default as per bug #305719
Comment 3 Emmanuel Pescosta 2013-01-09 15:20:44 UTC
Git commit 4e6d2d849a272fd0858b9f070659576b6af44827 by Emmanuel Pescosta.
Committed on 09/01/2013 at 16:17.
Pushed by emmanuelp into branch 'KDE/4.10'.

Show the file name as plain text in the rename dialog
Related: bug 312812
FIXED-IN: 4.10
REVIEW: 108291

M  +1    -0    dolphin/src/views/renamedialog.cpp

http://commits.kde.org/kde-baseapps/4e6d2d849a272fd0858b9f070659576b6af44827
Comment 4 Daniel Walter 2013-01-09 15:40:11 UTC
This commit will only fix the rename dialog"
http://quickgit.kde.org/?p=kde-baseapps.git&a=commit&h=4e6d2d849a272fd0858b9f070659576b6af44827

! This bugreport was about "various places". Look at the attached screenshot. There are various places where this bug exists.

I am currently using version 2.0 of dolphin and 4.8.4 of kde.
Comment 5 Daniel Walter 2013-01-09 15:44:14 UTC
Created attachment 76339 [details]
dolphin interpreting html in in wrong place
Comment 6 Emmanuel Pescosta 2013-01-09 21:22:25 UTC
(In reply to comment #4)
> This commit will only fix the rename dialog"
> http://quickgit.kde.org/?p=kde-baseapps.
> git&a=commit&h=4e6d2d849a272fd0858b9f070659576b6af44827
> 
> ! This bugreport was about "various places". Look at the attached
> screenshot. There are various places where this bug exists.
> 
> I am currently using version 2.0 of dolphin and 4.8.4 of kde.


Oh sorry. I have forgotten to fix the file name label in the information panel :( I thought that you mean the bug in the Tags label (But this needs to be fixed in nepomuk-widgets)

Kai Uwe Broulik already fixed the file name bug. Thanks :) https://git.reviewboard.kde.org/r/108307/
Comment 7 Kai Uwe Broulik 2013-01-09 21:32:50 UTC
Git commit 3d7d900d2830c71255ff8c02f5f7439224cd4122 by Kai Uwe Broulik.
Committed on 09/01/2013 at 22:10.
Pushed by broulik into branch 'master'.

Fix information panel interpreting html tags
Only fixes the most obvious file name, the other entries in the table
probably have to be fixed in the FileMetaDataWidget.
REVIEW: 108307

M  +1    -0    dolphin/src/panels/information/informationpanelcontent.cpp

http://commits.kde.org/kde-baseapps/3d7d900d2830c71255ff8c02f5f7439224cd4122

---

Git commit f05e18dbbf90f774176507cf4943decb5d6535d2 by Kai Uwe Broulik.
Committed on 09/01/2013 at 22:10.
Pushed by broulik into branch 'KDE/4.10'.

Fix information panel interpreting html tags
Only fixes the most obvious file name, the other entries in the table
probably have to be fixed in the FileMetaDataWidget.
REVIEW: 108307
(cherry picked from commit 3d7d900d2830c71255ff8c02f5f7439224cd4122)

M  +1    -0    dolphin/src/panels/information/informationpanelcontent.cpp

http://commits.kde.org/kde-baseapps/f05e18dbbf90f774176507cf4943decb5d6535d2
Comment 8 Emmanuel Pescosta 2013-01-11 16:25:03 UTC
Git commit 03f8f19b57f8628f4956b14cca00c73148ee3ea5 by Emmanuel Pescosta.
Committed on 11/01/2013 at 17:21.
Pushed by emmanuelp into branch 'KDE/4.10'.

Show nepomuk tag values as plain text (Do not parse html tags)
FIXED-IN: 4.10
REVIEW: 108334

M  +1    -0    ui/tagcheckbox.cpp

http://commits.kde.org/nepomuk-widgets/03f8f19b57f8628f4956b14cca00c73148ee3ea5
Comment 9 Emmanuel Pescosta 2013-01-11 16:30:23 UTC
Git commit e27c4b3aa322a3b36f7b70dd9fd32be12b386d0f by Emmanuel Pescosta.
Committed on 11/01/2013 at 17:27.
Pushed by emmanuelp into branch 'KDE/4.10'.

Show the file name as plain text in the file-metadata-tooltip

FIXED-IN: 4.10
REVIEW: 108336

M  +1    -0    dolphin/src/views/tooltips/filemetadatatooltip.cpp

http://commits.kde.org/kde-baseapps/e27c4b3aa322a3b36f7b70dd9fd32be12b386d0f
Comment 10 Weng Xuetian 2013-03-16 04:45:30 UTC
Git commit 914b8d88ae287eda2027c8b638e82184e1df4ed5 by Weng Xuetian.
Committed on 16/03/2013 at 05:43.
Pushed by xuetianweng into branch 'KDE/4.10'.

use plain text for information panel

REVIEW: 109129
Related: bug 315693

M  +4    -3    dolphin/src/panels/information/informationpanelcontent.cpp

http://commits.kde.org/kde-baseapps/914b8d88ae287eda2027c8b638e82184e1df4ed5